- +

Автор: lihacheff Тема: репы  (Прочитано 747 раз)

Оффлайн lihacheff

  • Начинающий
  • *
  • Сообщений: 34
  • Репутация: +0/-0
  • миру - мир. пису - пис!
    • Просмотр профиля
репы
« : Июль 13, 2016, 08:17:40 »
Коллеги!
Если мне мой терминал говорит:
===========
liho@liho-Aspire-5733Z:~$ sudo apt-get update
Hit:1 http://repo.yandex.ru/yandex-disk/deb stable InRelease
Hit:2 http://ru.archive.ubuntu.com/ubuntu xenial InRelease       
==========
то этот хлам где вычищается? в source.list? Или еще где-то?

Прошу прощения за неразборчивый почерк

Оффлайн denkin

  • Global Moderator
  • Старожил
  • *****
  • Сообщений: 987
  • Репутация: +66/-2
    • Просмотр профиля
Re: репы
« Ответ #1 : Июль 13, 2016, 19:23:56 »
с некоторых пор сторонние репы прописываются в
/etc/apt/sources.list.d
в виде отдельных файликов

Оффлайн lihacheff

  • Начинающий
  • *
  • Сообщений: 34
  • Репутация: +0/-0
  • миру - мир. пису - пис!
    • Просмотр профиля
Re: репы
« Ответ #2 : Июль 13, 2016, 21:57:04 »
с некоторых пор сторонние репы прописываются в
/etc/apt/sources.list.d
в виде отдельных файликов

во как! "а пацаны и не знают" (с)

Спасибо. Прибил, теперь:
liho@liho-Aspire-5733Z:~$ sudo apt-get update
Hit:1 http://ru.archive.ubuntu.com/ubuntu xenial InRelease
Hit:2 http://ru.archive.ubuntu.com/ubuntu xenial-updates InRelease             
Get:3 http://ru.archive.ubuntu.com/ubuntu xenial-backports InRelease [92,2 kB]
Hit:4 http://archive.canonical.com/ubuntu xenial InRelease                     
Hit:5 http://security.ubuntu.com/ubuntu xenial-security InRelease             
Получено 92,2 kБ за 1с (73,4 kБ/c)                                             
/usr/share/appgrid/appdata/helpers.py:9: PyGIWarning: Soup was imported without specifying a version first. Use gi.require_version('Soup', '2.4') before import to ensure that the right version gets loaded.
  from gi.repository import GLib, GObject, Soup
Чтение списков пакетов… Готово


Но эти 5 строк единственные в моем source.list незакомментированные!
Вешаться?
Прошу прощения за неразборчивый почерк

Оффлайн denkin

  • Global Moderator
  • Старожил
  • *****
  • Сообщений: 987
  • Репутация: +66/-2
    • Просмотр профиля
Re: репы
« Ответ #3 : Июль 13, 2016, 22:52:13 »
советую воспользоваться графической утилитой
software-properties-gtk
там вс́́ё более\менее нативно понятно

Оффлайн lihacheff

  • Начинающий
  • *
  • Сообщений: 34
  • Репутация: +0/-0
  • миру - мир. пису - пис!
    • Просмотр профиля
Re: репы
« Ответ #4 : Июль 14, 2016, 19:41:44 »
Коллеги, помогите реанимировать ОС!!!
Что-то сломалось у меня в репах (ее настройках).
С каких-то пор стали при sudo apt-get update выпадать ошибки типа:
Hit:1 http://ru.archive.ubuntu.com/ubuntu xenial InRelease
Hit:2 http://ru.archive.ubuntu.com/ubuntu xenial-updates InRelease             
Get:3 http://ru.archive.ubuntu.com/ubuntu xenial-backports InRelease [92,2 kB]
Hit:4 http://archive.canonical.com/ubuntu xenial InRelease                     
Hit:5 http://security.ubuntu.com/ubuntu xenial-security InRelease             
Получено 92,2 kБ за 1с (73,4 kБ/c)                                             
/usr/share/appgrid/appdata/helpers.py:9: PyGIWarning: Soup was imported without specifying a version first. Use gi.require_version('Soup', '2.4') before import to ensure that the right version gets loaded.
  from gi.repository import GLib, GObject, Soup
Чтение списков пакетов… Готово

По советам butjapka слепил новый source.list из http://ubuntism.ru/2011/01/sources-list-restore/
заменил, ключи добавил. Стало еще хуже.
Удалил все файлики из /etc/apt/sources.list.d - снова фигня. Теперь:
=====
iho@liho-Aspire-5733Z:~$ sudo apt-get update
Hit:1 http://ru.archive.ubuntu.com/ubuntu xenial InRelease
Hit:2 http://ppa.launchpad.net/ubuntu-mozilla-daily/ppa/ubuntu xenial InRelease                                             
Hit:3 http://archive.canonical.com/ubuntu xenial InRelease                                                                 
Hit:4 http://ppa.launchpad.net/webupd8team/java/ubuntu vivid InRelease                                                     
Ign:5 http://archive.canonical.com/ubuntu precise InRelease                                                                 
Hit:6 http://ppa.launchpad.net/appgrid/stable/ubuntu xenial InRelease                                                       
Hit:7 http://archive.canonical.com/ubuntu precise Release                                                                   
Get:8 http://ru.archive.ubuntu.com/ubuntu xenial-security InRelease [94,5 kB]                                               
Hit:9 http://ru.archive.ubuntu.com/ubuntu xenial-updates InRelease                                           
Hit:10 http://ru.archive.ubuntu.com/ubuntu xenial-proposed InRelease                                         
Get:11 http://ru.archive.ubuntu.com/ubuntu xenial-backports InRelease [92,2 kB]                             
Ign:12 http://dl.google.com/linux/chrome/deb stable InRelease                                               
Hit:14 http://dl.google.com/linux/chrome/deb stable Release           
Get:15 http://dl.google.com/linux/chrome/deb stable Release.gpg [916 B]
Ign:15 http://dl.google.com/linux/chrome/deb stable Release.gpg
Получено 188 kБ за 2с (89,8 kБ/c)
/usr/share/appgrid/appdata/helpers.py:9: PyGIWarning: Soup was imported without specifying a version first. Use gi.require_version('Soup', '2.4') before import to ensure that the right version gets loaded.
  from gi.repository import GLib, GObject, Soup
Чтение списков пакетов… Готово
W: http://archive.canonical.com/ubuntu/dists/precise/Release.gpg: Signature by key 630239CC130E1A7FD81A27B140976EAF437D05B5 uses weak digest algorithm (SHA1)
W: Ошибка GPG: http://dl.google.com/linux/chrome/deb stable Release: Следующие подписи не могут быть проверены, так как недоступен открытый ключ: NO_PUBKEY A040830F7FAC5991  NO_PUBKEY 1397BC53640DB551
W: The repository 'http://dl.google.com/linux/chrome/deb stable Release' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
N: Skipping acquire of configured file 'main/binary-i386/Packages' as repository 'http://dl.google.com/linux/chrome/deb stable InRelease' doesn't support architecture 'i386'
liho@liho-Aspire-5733Z:~$
=====
Ы?
Прошу прощения за неразборчивый почерк